# Contributing <!-- omit in toc -->
This guide is for those who want to contribute. Please read if you do

# Contents <!-- omit in toc -->
- [Style Guide](#style-guide)
  - [Style Guide Example](#style-guide-example)

# Style Guide
`.styl`
- NO semicolons `;`
- NO colons `:`
- USE curly braces `{}`
- For variables do not use `$`
- For colors use hex color code `#fff` instead of `white`
- Add any new classes to `THIS_REPOSITORY/docs/index.html`

## Style Guide Example
```stylus
// wrong (don't use colon separator and semicolon)
.class {
    background-color: #ffffff;
}

// wrong (don't use colon separator)
.class {
    background-color: #ffffff;
}

// wrong (don't use semicolon)
.class {
    background-color #ffffff;
}

// wrong ( use curly braces {} )
.class 
    background-color #ffffff

// correct
.class {
    background-color #ffffff
}
```
