# Styling Utilities <!-- omit in toc -->
Lightweight, responsive, cross-browser CSS utilities library for the front-end web. 
(With built-in ability to add css class prefixes)
Contains only CSS class names, preventing any unwanted changes to your current layouts.

Documentation not available yet

![GitHub file size in bytes](https://img.shields.io/github/size/JessebotX/StylingUtilities/dist/css/stylutil.min.css)

# Contents <!-- omit in toc -->
- [Install](#install)
  - [CDN](#cdn)
  - [CLI](#cli)
  - [Manual](#manual)

# Install
## CDN
via [unpkg](https://unpkg.com):
```html
<link rel="stylesheet" href="https://unpkg.com/stylingutilities@{version}/dist/css/stylutil.min.css">
```
REPLACE `{version}` with the version of the library you want (latest version recommended)

## CLI
```bash
npm i stylingutilities
```

## Manual
Simply download/clone this repository

- `.css` file located in [`/dist/css/stylutil.min.css`](./dist/css/stylutil.min.css)
- `.styl` files located in [`/stylingutilties`](./stylingutilities/)
<!-- - [Stylus](https://stylus-lang.com/) download: -- TODO --
- `CSS` download: -- TODO -- -->
